<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Benutzereingaben holen und sicherstellen, dass sie sicher verarbeitet werden
    $vorname = htmlspecialchars(trim($_POST['vorname']));
    $nachname = htmlspecialchars(trim($_POST['nachname']));
    $email = htmlspecialchars(trim($_POST['email']));
    $telefon = isset($_POST['telefon']) ? htmlspecialchars(trim($_POST['telefon'])) : ''; // Optionales Feld
    $anliegen = htmlspecialchars(trim($_POST['anliegen']));

    // E-Mail-Adresse validieren
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        echo "Die eingegebene E-Mail-Adresse ist ungültig. Bitte überprüfen Sie Ihre Eingabe.";
        exit;
    }

    // E-Mail-Einstellungen
    $to = "loan.delessert@coora.app";  // Die E-Mail-Adresse, an die die Nachricht gesendet werden soll
    $subject = "Neue Nachricht von $vorname $nachname";
    
    // Nachricht zusammenstellen
    $message = "Vorname: $vorname\n";
    $message .= "Nachname: $nachname\n";
    $message .= "E-Mail: $email\n";
    $message .= "Telefonnummer: $telefon\n";
    $message .= "Anliegen/Frage:\n$anliegen";
    
    // Header für die E-Mail (Absender, Reply-To und Content-Type)
    $headers = "From: $email\r\n";
    $headers .= "Reply-To: $email\r\n";
    $headers .= "Content-Type: text/plain; charset=UTF-8";

    // E-Mail senden
    if (mail($to, $subject, $message, $headers)) {
        // Optional: Weiterleitung oder Erfolgsmeldung
        echo "Vielen Dank! Ihre Nachricht wurde erfolgreich gesendet.";
    } else {
        // Fehlerbehandlung und Logging
        error_log("Fehler beim Senden der E-Mail: " . print_r(error_get_last(), true));
        echo "Es gab ein Problem beim Senden der Nachricht. Bitte versuchen Sie es später erneut.";
    }
} else {
    // Falls das Formular nicht über POST gesendet wurde
    echo "Ungültige Anfrage.";
}
?>
